#
# spec file for package ghc-network-info
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name network-info

Name:           ghc-network-info
Version:        0.2.0.7
Release:        5.4
Summary:        Access the local computer's basic network configuration
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
This library provides simple read-only access to the local computer's
networking configuration. It is currently capable of getting a list of all the
network interfaces and their respective IPv4, IPv6 and MAC addresses.

network-info has been tested and is known to work on Ubuntu 10.10, FreeBSD 9.0,
Mac OS X 10.6.4 and Windows XP/7. It probably works on other flavours of Linux,
OS X, FreeBSD and Windows as well.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.mkd

%changelog
* Mon Jul  6 2015 mimi.vx@gmail.com
- update to 0.2.0.7
* Sun May 31 2015 mimi.vx@gmail.com
- update to 0.2.0.6
* Sun May  3 2015 mimi.vx@gmail.com
- initial commit
